<!-- #changelog -->
<div id="changelog" class="bpanel-content">

    <!-- .bpanel-main-content -->
    <div class="bpanel-main-content no-margin">

        <!-- tab1-changelog -->
        <div id="tab1" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Kriya Theme Change Log', 'kriya'); ?></h3>
                </div>

                <div class="box-content">
                <pre>

 2024.08.14 - version 3.8

* Compatible with WordPress 6.6.1
* Importer source updated
* Fixed: Bulk plugin installation error	

2023.12.02 - version 3.7

* Compatible: WordPress latest version
* Updated: All premium plugins
* Fixed: Design and script issues

2023.10.23 - version 3.6

* Fixed: Unyson installation Issues.

2023.09.20 - version 3.5 (For new users, the newly built elementor theme with demo contents in the name of kriya-elementor.zip)

* Updates: New theme file added and updated with demo content, with compatible of Elementor latest version.
* Compatible: Latest WordPress Version
* Compatible: Latest Elementor Version

2023.06.01 - version 3.4

* Compatible with WordPress 6.2
* Compatible with latest WooCommerce versions
* Compatible with PHP 8.2 version
* Updated: All premium plugins

2022.11.12 - version 3.3

* Compatible with WordPress 6.1
* Compatible with latest WooCommerce versions
* Compatible with PHP 8.1 version
* Updated: All premium plugins

2022.07.19 - version 3.2

* Compatible with wordpress 6.0.x

2021.12.22 - version 3.1

* Updated Wpbakery compatible issue


2021.08.23 - version 3.0

* Compatible with wordpress 5.8

2021.05.18 - version 2.9

* Some design issue updated

2020.12.14 - version 2.8

* Latest jQuery fixes updated
* Updated: All premium plugins

2020.08.14 - version 2.7

* Compatible with wordpress 5.5

2020.07.31 - version 2.6

* Updated: Envato Theme check
* Updated: sanitize_text_field added
* Updated: All wordpress theme standards
* Updated: All premium plugins

2020.07.17 - version 2.5

* Compatible with wordpress 5.4.2
* Updated: Some design tweaks
* Updated: Courses and Poses filter sorting issue
* Updated: Portfolio slider image issue
* Updated: Image size option added for Blog, Course and Pose shortcode

2020.06.12 - version 2.4

* Fixed : Events calendar page html issue
* Fixed : View Cart link issue

2020.06.12 - version 2.3

* Fixed : Menu flickering issue

2020.02.12 - version 2.2

* Updated : All premium plugins

2020.01.29 - version 2.1

* Compatible with wordpress 5.3.2
* Updated: All premium plugins
* Updated: All wordpress theme standards

2019.07.30 - version 2.0

* Compatible with wordpress 5.2.2
* Updated: All premium plugins
* Updated: Revisions added to all custom post types
* Updated: Gutenberg editor support for custom post types
* Updated: Online documentation link, check readme file

* Fixed: Google Analytics issue
* Fixed: Gutenberg check for old wordpress version
* Fixed: Edit with Visual Composer for portfolio
* Fixed: Smooth scrolling in ie 11

* Improved: Single product breadcrumb section
* Improved: Tags taxonomy added for portfolio

* New: Whatsapp Shortcode

2019.06.10 – version 1.9

 * Gutenberg Latest update compatible
 * Fixed - GDPR Product single page comment box issue
 * Fixed - Animation issue
 * Fixed - undefined constant issue
 * Updated wpml xml file
 * Updated latest version of all third party plugins
 * Updated - language pot files
 * Some design tweaks

2018.11.19 - version 1.8

* Gutenberg plugin compatible
* Latest wordpress version 4.9.8 compatible
* Updated latest version of all third party plugins
* Fix - Iphone sidebar issue
* Updated documentation

2018.28.09 - version 1.7

* Fix - Updated Plugin files included
* Fix - PO File updated.
* GDPR update
* Compatible with WordPress 4.9.8


2018.05.03 - version 1.6

* Updated all third party plugins
* Fix - Unyson page builder conflicts with "Visual Composer" and "DesignThemes Page Builder"
* Fix - Bulk Install plugins issue.
* Fix - All theme functions updated for child theme support
* Fix - Option for change the site title color
* Fix - Add target attribute for social media
* Fix - PO File updated.
* Fix - Nav Menu Role Pluign compatible.
* Fix - disable link option for menu
* Fix - Event Calendar date time display issue
* Fix - ssl video player issue
* Fix - Blog page design tweaks


2017.09.12 - version 1.5
 * Included Layer slider version 6.5.8
 * Included WPBakery Visual Composer version 5.2.1
 * Compatible with PHP 7
 * Fixed Warning issues
 * Updated documentation
 * Updated .po file
 * Updated Font awesome icons - 4.7.0

2017.06.21 - version 1.4.4
* Added demo content using unyson
* Updated Core Plugin

2017.05.31 - version 1.4.3
* Fixed Pricing Table
* Fixed Nice Scroll Issue
* Fixed Admin panel color picker
* Fixed Event Calender

2017.05.19 - version 1.4.2
* Fixed layer and revolution slider installation issues.

2017.05.09 - version 1.4.1
* WooCommerce 3.0.5 compatible

2017.03.30 - version 1.4
* Compatible with WorPress 4.7.3
* Added Therapist custom post type and Certificate shortcode
* Fixed Header Dark-BG issue
* Fixed Header background issue in Bpanel
* Added Indian rupees currency for Course prices

2016.09.15 - version 1.2
* Now SSL compatible
                </pre>

                <pre>
2016.08.19 - version 1.1
* Compatible with WorPress 4.6
* Updated loader option
                </pre>

                <pre>
2016.04.20 - version 1.0
* First release!</pre>
                </div><!-- .box-content -->
            </div><!-- .bpanel-box end -->
        </div><!-- #tab1-import-demo end-->

    </div><!-- .bpanel-main-content end-->
</div><!-- #changelog end-->